SolrDisMaxQuery::setPhraseSlop
SolrDisMaxQuery::setQueryPhraseSlop
SolrDisMaxQuery
PHP Manual

# SolrDisMaxQuery::setQueryAlt

(No version information available, might only be in Git)

SolrDisMaxQuery::setQueryAlt — Set Query Alternate (q.alt parameter)

### Description

public SolrDisMaxQuery SolrDisMaxQuery::setQueryAlt ( string `$q` )

Set Query Alternate (q.alt parameter)

When the main q parameter is not specified or is blank. The q.alt parameter is used

### Parameters

`q`

  Query String

### Return Values

SolrDisMaxQuery

### Examples

Example #1 SolrDisMaxQuery::setQueryAlt() example

`<?php
$dismaxQuery = new DisMaxQuery();
$dismaxQuery->setQueryAlt('*:*');
?>`

The above example will output something similar to:

    defType=edismax&q.alt=*:*&q=

SolrDisMaxQuery::setPhraseSlop
SolrDisMaxQuery::setQueryPhraseSlop
SolrDisMaxQuery
PHP Manual